# RunScriptPreviewData | windmill-client
Documentation for windmill-client

# Type Alias RunScriptPreviewData

RunScriptPreviewData: {
includeHeader?: string;
invisibleToOwner?: boolean;
jobId?: string;
requestBody: Preview ;
workspace: string;
}

#### Type declaration

- ##### `Optional` includeHeader?: string

  List of headers's keys (separated with ',') whove value are added to the args Header's key lowercased and '-'' replaced to '_' such that 'Content-Type' becomes the 'content_type' arg key

- ##### `Optional` invisibleToOwner?: boolean

  make the run invisible to the the script owner (default false)

- ##### `Optional` jobId?: string

  The job id to assign to the created job. if missing, job is chosen randomly using the ULID scheme. If a job id already exists in the queue or as a completed job, the request to create one will fail (Bad Request)

- ##### requestBody: Preview

  preview

- ##### workspace: string

- Defined in src/types.gen.ts:3522